DLQ

Retry a DLQ message

Retry delivery of a message from the DLQ

POST/v2/dlq/retry/{dlqId}
cURL
curl --request POST \
  --url https://qstash-{region}.upstash.io/v2/dlq/retry/{dlqId} \
  --header 'Authorization: Bearer <token>'
201Response
{
  "messageId": "<string>",
  "deduplicated": true
}

Authorization

Authorizationheaderstringrequired

Bearer authentication header of the form Bearer <token>.

Path parameters

dlqIdpathstringrequired

The DLQ ID of the message you want to retry.

Response

201 — Message retry initiated successfully

messageIdstring

Unique identifier for the published message or the old message ID if deduplicated

deduplicatedboolean

Whether this message is a duplicate and was not sent to the destination.

404 — If the message is not found in the DLQ, (either is has been removed by you, or automatically), the endpoint returns a 404 status code.

errorstringrequired

Error message

Loading search…